# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetAttribute, DXDeleteAttribute

Function

Add or remove a named attribute from an Object.

Syntax
`
#include <dx/dx.h>
`

Object DXSetAttribute(Object o, char *name, Object value)
Object DXDeleteAttribute(Object o, char *name)

Functional Details

If `value` is not `NULL`, `DXSetAttribute` adds an attribute/value pair to Object `o`. The reference count of the attribute Object `value` is incremented. For `DXSetAttribute`, `name` specifies the name of the associated attribute and `value` represents its value. If `name` specifies an attribute that the Object `o` already has, then its value is replaced by `value`.

If `value` is `NULL`, the attribute referred to by `name` is removed from the Object `o`, if it exists.

`DXDeleteAttribute` deletes the attribute.

Return Value

Returns `o` or returns `NULL` without setting an error code.

See Also

`DXSetComponentAttribute, DXSetFloatAttribute, DXSetIntegerAttribute, DXSetStringAttribute`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]